Subject: Javascript error in backend

Description

Hi,

| just tried Typo3 6.0.0Betal and got a problem when | wanted to edit the default admin user using the Module "Backend users".

| figured out, that a Javascript error occurs. The error comes from the saltedpasswords-Extension Version 1.1.0.

In ext_tables.sql, new eval-Validators are set for the be_users Password field. One of the Validators is
TYPO3\\CMS\\Saltedpasswords\\Evaluation\\BackendEvaluator (Line 26).

In /typo3/sysext/backend/Classes/Form/FormEngine.php Line 1335, the Validator-Names are used to create a Javascript-Function.

But TYPO3\CMS\Saltedpasswords\Evaluation\BackendEvaluator is not a valid Javascript Function.

This has to be fixed please, because | can't edit or create new backend users with the saltedpasswords-Extension.

Related issues:
duplicates Core - Bug # 40561: Custom TCEforms validator from saltedpasswords... Resolved 2012-09-03

History

#1 - 2012-09-06 23:13 - Tim Schreiner

Sorry, | meant ext_tables.php in saltedpasswords-Extension.

#2 - 2012-09-07 08:30 - Francois Suter

- Status changed from New to Needs Feedback
- Assigned To set to Francois Suter

- Target version set to 6.0.0-beta2

This was solved already in current master with issue #40561. Can you confirm that it solves the issue for you?

#3 - 2012-09-07 18:36 - Tim Schreiner

Hi,

the current master worked for me.

Sorry for that, | must have overseen that issue.
#4 - 2012-09-07 18:41 - Francois Suter
- Status changed from Needs Feedback to Closed

No problem. Great that it works again for you too.
